<?php

namespace App\CrudComponents\PublicationGroup;

use App\Forms\BaseForm;
use App\Model\PublicationGroup;
use Nette\ComponentModel\IContainer;


class PublicationGroupForm extends BaseForm {

    /** @var PublicationGroup */
	protected $publicationGroupModel;


    /**
     * JournalForm constructor.
     * @param PublicationGroup $publicationGroupModel
     * @param IContainer|NULL $parent
     * @param string|NULL $name
     */
	public function __construct(PublicationGroup $publicationGroupModel, IContainer $parent = NULL, string $name = NULL)
    {
		parent::__construct($parent, $name);
		$this->publicationGroupModel = $publicationGroupModel;

		$this->addText('name', 'Name')
			->addRule($this::MAX_LENGTH, 'Name is way too long', 200)
			->setRequired('Name is required.');

        $this->addHidden('submitters');

		$this->addCloseButton('cancel', 'Cancel');
		$this->addSubmit('send', 'Done');

		$this->addHidden('id');


		$this->setModal(true);
		$this->setAjax(true);

		$id = $this['id']->getValue();

        if (empty($id)) {
			$this['name']->addRule(function ($nameField) use ($publicationGroupModel) {
				if ($publicationGroupModel->findOneByName($nameField->getValue())){
					return false;
				} else {
				    return true;
                }
			}, 'Publication group already exists.', $this);
		}
	}

}
