<?php

namespace App\CrudComponents\Reference;

use App\Forms\BaseForm;
use App\Model\Publication;
use Nette\ComponentModel\IContainer;


abstract class ReferenceForm extends BaseForm {

    /**
     * ReferenceForm constructor.
     * @param int $publication_id
     * @param Publication $publicationModel
     * @param IContainer|NULL $parent
     * @param string|NULL $name
     */
	public function __construct(int $publication_id, Publication $publicationModel, IContainer $parent = NULL, string $name = NULL)
    {
		parent::__construct($parent, $name);

        $this->addTextArea('text', 'text')
            ->setHtmlAttribute('style', 'width:100%;')
            ->setHtmlAttribute('class', 'form-control')
            ->setHtmlAttribute('rows', '5');

        $this->addCheckbox('confirmed');

        $this->addSelect('reference_id', 'Referenced publication', $publicationModel->getPairsForReference($publication_id))
            ->setPrompt('-- please choose --')
            ->addConditionOn($this['confirmed'], $this::EQUAL, 1)
            ->setRequired('Referenced publication is required when confirmed.');

        $this->addSubmit('save', 'Save');

		$this->action .= '#references';

		$this->setModal(true);
	}

}
