CREATE TABLE `publication_group` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `submitter_id` INT(10) UNSIGNED COMMENT 'user id of creator',
  `name` VARCHAR(200) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `publication_group_FKIndex1` (`submitter_id`),
  CONSTRAINT `publication_group_submitter_fk` FOREIGN KEY (`submitter_id`) REFERENCES `submitter` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
);

CREATE TABLE `submitter_is_in_publication_group` (
    `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    `publication_group_id` INT(10) UNSIGNED NOT NULL,
    `submitter_id` INT(10) UNSIGNED NOT NULL COMMENT 'user id of member',
    `added_by_submitter_id` INT(10) UNSIGNED COMMENT 'user id who added this user',
    `added_on` DATETIME DEFAULT CURRENT_TIMESTAMP,
    `deleted_on` DATETIME DEFAULT NULL,
    PRIMARY KEY (`id`),
    KEY `submitter_is_in_publication_group_FKIndex1` (`publication_group_id`),
    KEY `submitter_is_in_publication_group_FKIndex2` (`submitter_id`),
    CONSTRAINT `submitter_is_in_publication_group_publication_group_fk` FOREIGN KEY (`publication_group_id`) REFERENCES `publication_group` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
    CONSTRAINT `submitter_is_in_publication_group_submitter_fk` FOREIGN KEY (`submitter_id`) REFERENCES `submitter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
    CONSTRAINT `submitter_is_in_publication_group_added_by_submitter_fk` FOREIGN KEY (`added_by_submitter_id`) REFERENCES `submitter` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
);

CREATE TABLE `publication_group_has_publication` (
    `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    `publication_group_id` INT(10) UNSIGNED NOT NULL,
    `publication_id` INT(10) UNSIGNED NOT NULL,
    `added_by_submitter_id` INT(10) UNSIGNED COMMENT 'user id who added this publication',
    `added_on` DATETIME DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY (`id`),
    KEY `publication_group_has_publication_FKIndex1` (`publication_group_id`),
    CONSTRAINT `publication_group_has_publication_publication_fk` FOREIGN KEY (`publication_id`) REFERENCES `publication` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
    CONSTRAINT `publication_group_has_publication_publication_group_fk` FOREIGN KEY (`publication_group_id`) REFERENCES `publication_group` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
    CONSTRAINT `publication_group_has_publication_added_by_submitter_fk` FOREIGN KEY (`added_by_submitter_id`) REFERENCES `submitter` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
);

